Bug 173816 - [PATCH] astro/xtide optionsng
[PATCH] astro/xtide optionsng
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Baptiste Daroussin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-21 23:20 UTC by c.petrik.sosa
Modified: 2012-12-29 22:50 UTC (History)
0 users

See Also:


Attachments
file.diff (825 bytes, patch)
2012-11-21 23:20 UTC, c.petrik.sosa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description c.petrik.sosa 2012-11-21 23:20:01 UTC
Options NG Changes

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-21 23:20:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2012-12-29 22:42:09 UTC
Responsible Changed
From-To: cs->bapt

I'll take it.
Comment 3 dfilter freebsd_committer 2012-12-29 22:42:42 UTC
Author: bapt
Date: Sat Dec 29 22:42:34 2012
New Revision: 309637
URL: http://svnweb.freebsd.org/changeset/ports/309637

Log:
  Convert to new options framework
  Trim headers
  
  PR:		ports/173816
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com>
  Approved by:	maintainer timeout (1 month)

Modified:
  head/astro/xtide/Makefile

Modified: head/astro/xtide/Makefile
==============================================================================
--- head/astro/xtide/Makefile	Sat Dec 29 22:36:25 2012	(r309636)
+++ head/astro/xtide/Makefile	Sat Dec 29 22:42:34 2012	(r309637)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   xtide
-# Date created:        30 August 1997
-# Whom:                Brion Moss <brion@queeg.com>
-#
+# Created by: Brion Moss <brion@queeg.com>
 # $FreeBSD$
-#
 
 PORTNAME=	xtide
 PORTVERSION=	2.12.1
@@ -37,19 +33,18 @@ TCD_DISTNAME=	libtcd-2.2.5
 HARM_DISTNAME=	harmonics-dwf-20120302
 WVS_DISTNAME=	wvs
 
-OPTIONS=	WVS "Use world vector shoreline data (big file!)" Off
+OPTIONS_DEFINE=	WVS X11
+WVS_DESC=	Use world vector shoreline data (big file!)
 
 .include <bsd.port.options.mk>
-.include <bsd.port.pre.mk>
 
-.if !defined(WITHOUT_WVS)
+.if ${PORT_OPTIONS:MWVS}
 DISTFILES+=	${WVS_DISTNAME}${EXTRACT_SUFX}
 PLIST_SUB+=	WVS=""
-.else
-PLIST_SUB+=	WVS="@comment "
+.elsePLIST_SUB+=	WVS="@comment "
 .endif
 
-.if defined(WITHOUT_X11)
+.if ${PORT_OPTIONS:MX11}
 PKGNAMESUFFIX+=	-nox11
 ALL_TARGET+=	tide xttpd
 PLIST_SUB+=	X11="@comment "
@@ -83,7 +78,7 @@ post-configure:
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/tide ${PREFIX}/bin
-.if !defined(WITHOUT_X11)
+.if ${PORT_OPTIONS:MX11}
 	${INSTALL_PROGRAM} ${WRKSRC}/xtide ${PREFIX}/bin
 	${INSTALL_MAN} ${WRKSRC}/xtide.1 ${MANPREFIX}/man/man1
 .endif
@@ -100,7 +95,7 @@ post-install:
 	${CHMOD} 644 ${PREFIX}/etc/xtide.conf
 .endif
 
-.if !defined(WITHOUT_WVS)
+.if ${PORT_OPTIONS:MWVS}
 	@${MKDIR} ${DATADIR}/wvs
 	${INSTALL_DATA} ${WRKDIR}/wvs1.dat ${DATADIR}/wvs
 	${INSTALL_DATA} ${WRKDIR}/wvs12.dat ${DATADIR}/wvs
@@ -110,4 +105,4 @@ post-install:
 	${INSTALL_DATA} ${WRKDIR}/wvsfull.dat ${DATADIR}/wvs
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Baptiste Daroussin freebsd_committer 2012-12-29 22:42:47 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!